﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Duality;

namespace Space_Station_Escape {
	public class DoorKey : Component, ICmpCollisionListener {
		public void OnCollisionBegin(Component sender, CollisionEventArgs args) {
			Player player = sender.GameObj.GetComponent<Player>();
			player.hasKey = true;
			destroyKey();
		}

		private void destroyKey() {
			this.GameObj.DisposeLater();
		}

		public void OnCollisionEnd(Component sender, CollisionEventArgs args) {
		}

		public void OnCollisionSolve(Component sender, CollisionEventArgs args) {
		}
	}
}
