﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Duality;
using Duality.Resources;
using OpenTK;

namespace Space_Station_Escape
{
    [Serializable]
    public class AntiCamera : Component, ICmpUpdatable
    {
        public void OnUpdate()
        {
            float x = float.MinValue, y = float.MinValue;
            foreach (GameObject ai in Scene.Current.FindGameObjects<RougeAI>())
            {
                if (ai.Transform.Pos.X > x)
                {
                    x = ai.Transform.Pos.X;
                }

                if (ai.Transform.Pos.Y > y)
                {
                    y = ai.Transform.Pos.Y;
                }
            }

            this.GameObj.Transform.Pos = new Vector3(x, y, -700);
        }
    }
}